#
# spec file for package python-google-api-core
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-google-api-core
Version:        1.14.2
Release:        lp152.1.1
Summary:        Google API client core library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/GoogleCloudPlatform/google-cloud-python
Source:         https://files.pythonhosted.org/packages/source/g/google-api-core/google-api-core-%{version}.tar.gz
BuildRequires:  %{python_module google-auth >= 0.4.0}
BuildRequires:  %{python_module googleapis-common-protos >= 1.6.0}
BuildRequires:  %{python_module grpcio >= 1.8.2}
BuildRequires:  %{python_module grpcio-gcp >= 0.2.2}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module protobuf >= 3.4.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module requests >= 2.18.0}
BuildRequires:  %{python_module setuptools >= 34.0.0}
BuildRequires:  %{python_module six >= 1.10.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-google-auth >= 0.4.0
Requires:       python-googleapis-common-protos >= 1.6.0
Requires:       python-grpcio >= 1.8.2
Requires:       python-protobuf >= 3.4.0
Requires:       python-pytz
Requires:       python-requests >= 2.18.0
Requires:       python-setuptools >= 34.0.0
Requires:       python-six >= 1.10.0
Suggests:       python-grpcio-gcp >= 0.2.2
BuildArch:      noarch
%ifpython2
BuildRequires:  python2-enum34
BuildRequires:  python2-futures >= 3.2.0
%endif
%ifpython2
Requires:       python-enum34
Requires:       python-futures >= 3.2.0
%endif
%python_subpackages

%description
Core Library for Google Client Libraries

%prep
%setup -q -n google-api-core-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Aug 12 2019 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.14.2
  * Forward ‘timeout’ arg from ‘exception’ to _blocking_poll.
  * Update intersphinx mapping for requests.
  * Firestore: Add should_terminate predicate for clean BiDi shutdown.
  * Update pins of ‘googleapis-common-protos.
* Tue Jul  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.13.0:
  * Various fixes for new updated dependencies
* Thu May 16 2019 kwu@suse.com
- Update to 1.11.0:
  * Refactor ‘client_info’ support. (#7849)
* Tue Mar 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.8.2:
  * Remove classifier for Python 3.4 for end-of-life. (#7535)
* Thu Mar 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.8.1:
  * Protect the creation of a background thread in BackgroundConsumer and wait on it starting. (#7499)
  * Add support to unwrap Anys into wrapped pb2 objects. (#7430)
  * Add Operation.deserialize. (#7427)
* Mon Feb 18 2019 John Vandenberg <jayvdb@gmail.com>
- Activate tests
- Update to version 1.7.0
  * New Features
    + Support converting DatetimeWithNanos to / from
    google.protobuf.timestamp_pb2.Timestamp
  * Documentation
    + Document Python 2 deprecation. (#6910)
    + Add usage example for google.api_core.iam.Polcy. (#6855)
  * Internal / Testing Changes
    + Work around pytype big for ABCMeta.register
- from version 1.6.0
  (not documented)
- from version 1.5.2
  * Implementation Changes
    + Retry transient errors in 'PollingFuture.result'
  * Dependencies
    + Remove hyphen from named extra in api_core. (#6468)
    + Bump minimum 'api_core' version for all GAPIC libs to 1.4.1. (#6391)
    + Avoid broken 'google-common-apis 1.5.4' release
- from version 1.5.1
  * Implementation Changes
    + Don't URL-encode slashes in gRPC request headers
  * Internal / Testing Changes
    + Back out changes from #6267
- from version 1.5.0
  * New Features
    + Add bidi, Bidirection Streaming, to api-core
  * Internal / Testing Changes
    + Use new Nox
- from version 1.4.1
  * Internal / Testing Changes
    + Add type-checking via pytype to api_core
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Sep 12 2018 Thomas Bechtold <tbechtold@suse.com>
- update to version 1.4.0
  * Add support for gRPC connection management (available when using
    optional grpc_gcp dependency) (#5553) (#5904)
  * Update classifiers to drop Python 3.4 and add Python 3.7 (#5702)
  * Add protobuf_helpers.field_mask to calculate a field mask from
    two messages (#5320)
* Tue May 29 2018 tbechtold@suse.com
- update to 1.2.0:
  * Add close method to grpc Channel (#5333)
  * Fix tests after grpcio update (#5333)
  * Add Test runs for Python 3.7 and remove 3.4 (#5295)
- use %%license
* Fri May 18 2018 tbechtold@suse.com
- Initial packaging (version 1.1.2)
